### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions | Protected Attributes
ImpliedStdDevQuote Class Reference

quote for the implied standard deviation of an underlying More...

`#include <ql/quotes/impliedstddevquote.hpp>`

Inheritance diagram for ImpliedStdDevQuote:
[legend]

List of all members.

## Public Member Functions

| ImpliedStdDevQuote (Option::Type optionType, const Handle< Quote > &forward, const Handle< Quote > &price, Real strike, Real guess, Real accuracy=1.0e-6, Natural maxIter=100)
Quote interface
Real | value () const
| returns the current value
bool | isValid () const
| returns true if the Quote holds a valid value

## Protected Member Functions

void | performCalculations () const

## Protected Attributes

Real | impliedStdev_
Option::Type | optionType_
Real | strike_
Real | accuracy_
Natural | maxIter_
Handle< Quote > | forward_
Handle< Quote > | price_

## Detailed Description

quote for the implied standard deviation of an underlying

## Member Function Documentation

void performCalculations | ( |  | ) | const`[protected, virtual]`

This method must implement any calculations which must be (re)done in order to calculate the desired results.

Implements LazyObject.